Search Bluesky Posts
curl --request POST \
--url https://api-lr.agent.ai/v1/action/search_bluesky_posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "artificial intelligence",
"num_posts": 1
}
'import requests
url = "https://api-lr.agent.ai/v1/action/search_bluesky_posts"
payload = {
"query": "artificial intelligence",
"num_posts": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: 'artificial intelligence', num_posts: 1})
};
fetch('https://api-lr.agent.ai/v1/action/search_bluesky_posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"response": [
{
"author": {
"displayName": "",
"handle": "insurencecompanie.bsky.social"
},
"cid": "bafyreigh6t7gf2opl5sl72ej6zi46y6mnvff7lncpju7jv2uzphqno5muu",
"createdAt": "2025-02-12T00:14:58.952Z",
"likeCount": 0,
"replyCount": 0,
"repostCount": 0,
"text": "Tariff, trade with Visa to dominate talks\n\nMichael Balman An foreign policy analyst Afp Narendra Modi in artificial intelligence action in Paris on Tuesday When the Prime Minister of India Narendra is a modicer of Washington and meets Donald DLing President Week, there will be some warm hugs and…",
"uri": "at://did:plc:bvuaxil7a2fpcnxkgpgzbois/app.bsky.feed.post/3lhwveizrl62o"
}
]
}Social Media & Online Presence
Search Bluesky Posts
Search for Bluesky posts matching specific keywords or criteria.
POST
/
action
/
search_bluesky_posts
Search Bluesky Posts
Authorizations
Bearer token from your account (https://agent.ai/user/integrations#api)
Body
application/json
⌘I

